using Assets.Scripts;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Questions
{
    public class Question
    {
        public string Text { get; set; }
        public List<Answer> Answers { get; set; }
    }

    public static List<Question> QuestionList;

    public static void InitQuestions()
    {
        if (QuestionList != null) return;

        QuestionList = new List<Question>();

        var hobby = new Question();
        hobby.Text = "What's your hobby?";
        hobby.Answers = new List<Answer>()
        {
            new Answer("Oh, I'm a big gardener. ", new List<Aspect>{ Aspect.Gardening, Aspect.Colorful, Aspect.Spring }, new List<Aspect>{ }),
            new Answer("I love hiking! ", new List<Aspect>{ Aspect.Sports, Aspect.Summer }, new List<Aspect>{ }),
            new Answer("I collect retro games. Wanna see my collection?", new List<Aspect>{ Aspect.Gaming, Aspect.Technology, Aspect.Antique }, new List<Aspect>{ }),
            new Answer("I'm all about cooking. I've got a recipe blog!", new List<Aspect>{ Aspect.Cooking }, new List<Aspect>{ }),
            new Answer("My kids are my world! What's a hobby?", new List<Aspect>{ Aspect.Kids }, new List<Aspect>{ }),
            new Answer("I mostly hang out with my dog. And my 3 cats.", new List<Aspect>{ Aspect.Pets }, new List<Aspect>{ }),
            new Answer("I've been working on my solo album. It's totally gonna rock the charts!", new List<Aspect>{ Aspect.Musical }, new List<Aspect>{  }),
            new Answer("I'm into speed-solving sudokus.", new List<Aspect>{ Aspect.Puzzle, Aspect.Intelligence }, new List<Aspect>{ }),
            new Answer("I love winding down the day with some painting.", new List<Aspect>{ Aspect.Artistic }, new List<Aspect>{ }),
            new Answer("I run a book club! Chapter 3's this week, if you wanna join.", new List<Aspect>{ Aspect.Reading }, new List<Aspect>{ }),
            new Answer("Oh, I love traveling. What's your favorite destination?", new List<Aspect>{ Aspect.Travel }, new List<Aspect>{ }),
        };
        QuestionList.Add(hobby);

        var season = new Question();
        season.Text = "Favorite holiday?";
        season.Answers = new List<Answer>()
        {
            new Answer("Christmas! Who doesn't love buying presents?", new List<Aspect>{ Aspect.Winter, Aspect.Shopping }, new List<Aspect>{ }),
            new Answer("Valentine's Day...I sure hope I'm not alone for it this year.", new List<Aspect>{ Aspect.Winter, Aspect.Romantic }, new List<Aspect>{ }),
            new Answer("Easter!", new List<Aspect>{ Aspect.Spring, Aspect.Colorful }, new List<Aspect>{ }),
            new Answer("March 32nd. Hah! April fools!", new List<Aspect>{ Aspect.Spring, Aspect.Humor }, new List<Aspect>{ }),
            new Answer("The 4th of July! I love fireworks!", new List<Aspect>{ Aspect.Summer, Aspect.Colorful }, new List<Aspect>{ }),
            new Answer("Labor Day. I get a day off, AND I don't have to buy anyone any presents!", new List<Aspect>{ Aspect.Summer, Aspect.Practical }, new List<Aspect>{ }),
            new Answer("Thanksgiving! Home cooked family dinners are the best.", new List<Aspect>{ Aspect.Fall, Aspect.Family, Aspect.Foodie }, new List<Aspect>{ }),
            new Answer("Halloween. I already have my costume picked out!", new List<Aspect>{ Aspect.Fall, Aspect.Media }, new List<Aspect>{ })
        };
        QuestionList.Add(season);

        //var fear = new Question();
        //fear.Text = "What's your biggest fear?";
        //fear.Answers = new List<Answer>()
        //{
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{  })
        //};
        //QuestionList.Add(fear);

        var job = new Question();
        job.Text = "What do you do for work?";
        job.Answers = new List<Answer>()
        {
            new Answer("Fast food...someone's got to do it, right?", new List<Aspect>{ Aspect.Practical }, new List<Aspect>{ Aspect.Business }),
            new Answer("I'm a day trader. The market's up 1.3% today!", new List<Aspect>{ Aspect.Business, Aspect.Money }, new List<Aspect>{  }),
            new Answer("Landscaping! Need some perennials?", new List<Aspect>{ Aspect.Gardening }, new List<Aspect>{ }),
            new Answer("I'm a fashion designer. I think I've got something that would look GREAT on you...", new List<Aspect>{ Aspect.Beauty }, new List<Aspect>{ }),
            new Answer("I'm a body-builder! Wanna arm wrestle?", new List<Aspect>{ Aspect.Strength }, new List<Aspect>{ }),
            new Answer("I turn coffee into code...don't ask if I can fix your computer.", new List<Aspect>{ Aspect.Technology }, new List<Aspect>{ }),
            new Answer("I run the local bakery!", new List<Aspect>{ Aspect.Sweet }, new List<Aspect>{ }),
            new Answer("I'm a writer...know any good publishers?", new List<Aspect>{ Aspect.Reading }, new List<Aspect>{ }),
        };
        QuestionList.Add(job);

        var date = new Question();
        date.Text = "Ideal first date?";
        date.Answers = new List<Answer>
        {
            new Answer("A romantic dinner at a fancy restaurant!", new List<Aspect>{ Aspect.Romantic, Aspect.Money, Aspect.Foodie }, new List<Aspect>{ }),
            new Answer("I bet you can't beat me in tennis!", new List<Aspect>{ Aspect.Sports, Aspect.Outdoors }, new List<Aspect>{ }),
            new Answer("Let's go to the dog park!", new List<Aspect>{ Aspect.Pets, Aspect.Outdoors }, new List<Aspect>{ }),
            new Answer("The amusement park! I could really go for some funnel cake...", new List<Aspect>{ Aspect.Fun, Aspect.Outdoors, Aspect.Sweet }, new List<Aspect>{ }),
            new Answer("Is going to the movies still a thing?", new List<Aspect>{ Aspect.Media, Aspect.Indoors }, new List<Aspect>{ }),
            new Answer("Let's check out the new exhibit at the museum!", new List<Aspect>{ Aspect.Intelligence, Aspect.Antique, Aspect.Indoors }, new List<Aspect>{ }),
            new Answer("Maybe just meet up for coffee first to see if we click?", new List<Aspect>{ Aspect.Practical, Aspect.Indoors }, new List<Aspect>{ }),
            new Answer("I'll totally whoop you in Mario Kart.", new List<Aspect>{ Aspect.Gaming, Aspect.Indoors }, new List<Aspect>{ }),
            new Answer("Let's go do an escape room!", new List<Aspect>{ Aspect.Puzzle }, new List<Aspect>{ }),
            new Answer("We should totally go to the spa.", new List<Aspect>{ Aspect.Beauty, Aspect.Comfort }, new List<Aspect>{ }),
            new Answer("Wanna go to a concert? There's this really cool indie band...", new List<Aspect>{ Aspect.Musical }, new List<Aspect>{ }),
            new Answer("Why don't you come to my place and I'll cook dinner for you?", new List<Aspect>{ Aspect.Cooking }, new List<Aspect>{ })
        };
        QuestionList.Add(date);

        var partner = new Question();
        partner.Text = "So what are you looking for in a partner?";
        partner.Answers = new List<Answer>()
        {
            new Answer("Someone that can make me laugh!", new List<Aspect>{ Aspect.Humor, Aspect.Fun }, new List<Aspect>{ }),
            new Answer("I want someone I can start a family with.", new List<Aspect>{ Aspect.Family, Aspect.Kids }, new List<Aspect>{ }),
            new Answer("Well, of course they have to be rich!", new List<Aspect>{ Aspect.Shopping, Aspect.Money }, new List<Aspect>{ }),
            new Answer("They need to be on my intellectual level.", new List<Aspect>{ Aspect.Intelligence }, new List<Aspect>{ Aspect.Fun }),
            new Answer("They need to be strong!", new List<Aspect>{ Aspect.Strength }, new List<Aspect>{ }),
            new Answer("To be honest, I'm looking for more of a business partner...", new List<Aspect>{ Aspect.Business }, new List<Aspect>{ Aspect.Romantic }),
            new Answer("I just want someone that lets me be myself.", new List<Aspect>{ Aspect.Comfort }, new List<Aspect>{ }),
            new Answer("Someone I can travel with!", new List<Aspect>{ Aspect.Travel }, new List<Aspect>{ }),
            new Answer("Someone creative.", new List<Aspect>{ Aspect.Artistic }, new List<Aspect>{ }),
            new Answer("Well, they've got to be attractive...is that shallow?", new List<Aspect>{ Aspect.Beauty }, new List<Aspect>{ }),
        };
        QuestionList.Add(partner);

        //var bucketlist = new Question();
        //bucketlist.Text = "What's on your bucket list?";
        //bucketlist.Answers = new List<Answer>()
        //{
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //    new Answer("", new List<Aspect>{ }, new List<Aspect>{ }),
        //};
        //QuestionList.Add(bucketlist);
    }
}
